Re: [HACKERS] OS X and ossp-uuid, next chapter

2014-02-18 Thread Robert Haas
On Sat, Feb 15, 2014 at 4:17 PM, Peter Eisentraut pete...@gmx.net wrote:
 We already know that the uuid-ossp extension doesn't build OS X unless a
 small patch is applied.

 This has now gotten slightly worse after the Autoconf upgrade, because
 it will now fail if a header is present but cannot be compiled.
 (Previous versions would only warn.  This is part of a decade-long
 transition process Autoconf is doing.)

 So now you get:

 checking ossp/uuid.h usability... no
 checking ossp/uuid.h presence... no
 checking for ossp/uuid.h... no
 checking uuid.h usability... no
 checking uuid.h presence... yes
 configure: WARNING: uuid.h: present but cannot be compiled
 configure: WARNING: uuid.h: check for missing prerequisite headers?
 configure: WARNING: uuid.h: see the Autoconf documentation
 configure: WARNING: uuid.h: section Present But Cannot Be Compiled
 configure: WARNING: uuid.h: proceeding with the compiler's result
 configure: WARNING: ##  ##
 configure: WARNING: ## Report this to pgsql-b...@postgresql.org ##
 configure: WARNING: ##  ##
 checking for uuid.h... no
 configure: error: header file ossp/uuid.h or uuid.h is required for
 OSSP-UUID

 A possible patch is to hack up the uuid.h check to revert to the old
 behavior; see attached.

 I don't necessarily want to apply that, because it's an OS-specific hack
 and it doesn't even work by itself unless we also patch the place where
 the header is used (previously discussed).  But I'll put it on record
 here for future reporters and for the benefit of packagers.

Given commit e6170126fc201052b0ec5fc92177eb181d602d26, I think we
should just remove uuid-ossp from our tree.  Somebody can maintain it
on PGXN if they feel the urge.

-- 
Robert Haas
EnterpriseDB: http://www.enterprisedb.com
The Enterprise PostgreSQL Company


-- 
Sent via pgsql-hackers mailing list (pgsql-hackers@postgresql.org)
To make changes to your subscription:
http://www.postgresql.org/mailpref/pgsql-hackers


Re: [HACKERS] OS X and ossp-uuid, next chapter

2014-02-18 Thread Tom Lane
Robert Haas robertmh...@gmail.com writes:
 On Sat, Feb 15, 2014 at 4:17 PM, Peter Eisentraut pete...@gmx.net wrote:
 We already know that the uuid-ossp extension doesn't build OS X unless a
 small patch is applied.
 
 This has now gotten slightly worse after the Autoconf upgrade, because
 it will now fail if a header is present but cannot be compiled.

 Given commit e6170126fc201052b0ec5fc92177eb181d602d26, I think we
 should just remove uuid-ossp from our tree.  Somebody can maintain it
 on PGXN if they feel the urge.

I think that's premature, since that commit hasn't shipped yet.  Give
people a release or two to switch over.

I'd be good with putting a notice on uuid-ossp saying that it's deprecated
and will be removed soon.  Of course, our track record for enforcing such
things is bad, but we gotta start somewhere ...

regards, tom lane


-- 
Sent via pgsql-hackers mailing list (pgsql-hackers@postgresql.org)
To make changes to your subscription:
http://www.postgresql.org/mailpref/pgsql-hackers